{% extends 'base.html' %}
{% load static %}

{% block content %}
{% if request.session.peran == 'pengguna publik' %}
<div class="container">
    <div class="row"></div>
    <div class="row align-items-center">
        <div class="col"></div>
        <div class="col-6">
            {% for detail in pasien %}
            <form method="POST" class="was-validated" action="{% url 'daftar_pasien:update_pasien' nik=detail.0 %}">
                {% csrf_token %}
                <figure class="text-center">
                    <h3>Siruco - Daftar Pasien</h3>
                </figure>

                <div class="mb-3">
                    <label for="usernameInput" class="form-label">Pendaftar</label>
                    <input type="text" class="form-control disabled" name="idpendaftar" id="usernameInput" value="{{ request.session.username }}" disabled readonly>
                </div>

                <div class="mb-3 has-validation">
                    <label for="nikInput" class"form-label">NIK</label>
                    <input type="tel" pattern="[0-9]{16}" maxlength="16" class="form-control" name="nik" id="nikInput" value="{{ detail.0 }}" disabled readonly>
                </div>

                <div class="mb-3">
                    <label for="namaInput" class"form-label">Nama</label>
                    <input type="text" class="form-control" name="nama" id="namaInput" value="{{ detail.2 }}" disabled readonly>
                </div>

                <div class="mb-3">
                    <label for="telpInput" class"form-label">Nomor Telepon</label>
                    <input type="tel" pattern="[0-9]{11}" class="form-control" name="notelp" id="telpInput" placeholder="Nomor Telepon" value="{{ detail.13 }}" required>
                    <div id="telHelp" class="form-text">Contoh: 02123456789</div>
                </div>

                <div class="mb-3">
                    <label for="hpInput" class"form-label">Nomor HP</label>
                    <input type="tel" pattern=".{11,13}" maxlength="13" class="form-control" name="nohp" id="hpInput" placeholder="Nomor HP" value="{{ detail.14 }}" required>
                    <div id="hpHelp" class="form-text">Contoh: 081234567890</div>
                </div>
                
                <br>
                <h5>Alamat sesuai KTP</h5>

                <div class="mb-3">
                    <label for="jalanKtpInput" class"form-label">Jalan</label>
                    <input type="text" class="form-control" name="ktp_jalan" id="jalanKtpInput" placeholder="Jalan" value="{{ detail.3 }}" required>
                </div>

                <div class="mb-3">
                    <label for="kelKtpInput" class"form-label">Kelurahan</label>
                    <input type="text" class="form-control" name="ktp_kelurahan" id="kelKtpInput" placeholder="Kelurahan" value="{{ detail.4 }}" required>
                </div>

                <div class="mb-3">
                    <label for="kecKtpInput" class"form-label">Kecamatan</label>
                    <input type="text" class="form-control" name="ktp_kecamatan" id="kecKtpInput" placeholder="Kecamatan" value="{{ detail.5 }}" required>
                </div>

                <div class="mb-3">
                    <label for="kabkotKtpInput" class"form-label">Kabupaten/Kota</label>
                    <input type="text" class="form-control" name="ktp_kabkot" id="kabkotKtpInput" placeholder="Kabupaten/Kota" value="{{ detail.6 }}" required>
                </div>

                <div class="mb-3">
                    <label for="provKtpInput" class"form-label">Provinsi</label>
                    <input type="text" class="form-control" name="ktp_prov" id="provKtpInput" placeholder="Provinsi" value="{{ detail.7 }}" required>
                </div>

                <br>
                <h5>Alamat Domisili</h5>

                <div class="mb-3">
                    <label for="jalanDomInput" class"form-label">Jalan</label>
                    <input type="text" class="form-control" name="dom_jalan" id="jalanDomInput" placeholder="Jalan" value="{{ detail.8 }}" required>
                </div>

                <div class="mb-3">
                    <label for="kelDomInput" class"form-label">Kelurahan</label>
                    <input type="text" class="form-control" name="dom_kelurahan" id="kelDomInput"placeholder="Kelurahan" value="{{ detail.9 }}" required>
                </div>

                <div class="mb-3">
                    <label for="kecDomInput" class"form-label">Kecamatan</label>
                    <input type="text" class="form-control" name="dom_kecamatan" id="kecDomInput" placeholder="Kecamatan" value="{{ detail.10 }}" required>
                </div>

                <div class="mb-3">
                    <label for="kabkotDomInput" class"form-label">Kabupaten/Kota</label>
                    <input type="text" class="form-control" name="dom_kabkot" id="kabkotDomInput" placeholder="Kabupaten/Kota" value="{{ detail.11 }}" required>
                </div>

                <div class="mb-3">
                    <label for="provDomInput" class"form-label">Provinsi</label>
                    <input type="text" class="form-control" name="dom_prov" id="provDomInput" placeholder="Provinsi" value="{{ detail.12 }}" required>
                </div>
                {% endfor %}

                <figure class="text-center">
                    {% for message in messages %}
                    {{ message }}
                    <br>
                    {% endfor %}

                    <button type="submit" class="btn btn-outline-success" onclick="check_data()">Simpan</button>
                </figure>
            </form>
        </div>
        <div class="col"></div>
    </div>
</div>
{% else %}
<figure class="text-center">
    <h1>Anda tidak punya akses untuk halaman ini</h1>
</figure>
{% endif %}
<script src="{% static 'daftar_pasien/script.js' %}"></script>
{% endblock content %}